﻿using System.IO;

namespace CloudShot.Utils
{
	public static class FileUtils
	{
		//удаляет из пути запретные символы
		public static string EscapeFilename(string path, string replacement)
		{
			//Removing invalid folder chars
			foreach (char c in Path.GetInvalidFileNameChars())
			{
				path = path.Replace(c.ToString(), replacement);
			}

			return path;
		}

		//удаляет из пути запретные символы
		public static string EscapePath(string path, string replacement)
		{
			//Removing invalid folder chars
			foreach (char c in Path.GetInvalidPathChars())
			{
				path = path.Replace(c.ToString(), replacement);
			}

			return path;
		}
	}
}
